export type * from './src/types'
export * from './src/hook'

export { default as LegendWidget } from './src/Legend.vue'

/**
 * 图例组件
 *
 * 说明: 配合地图上的数据展示的图例，支持动态配置
 *
 * 可以应用到的一些模块:（基于已有蓝湖设计稿评估，仅供参考）
 *  所有需要用到图例展示的模块
 *  各种场景下的配置项，可以参考: \src\pages\business\monitor\rain\config.ts defaultLegendConfig
 *
 */
